[arch-commits] Commit in fontsproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:36:00 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:36:00
  Author: eric
Revision: 33071

upgpkg: fontsproto 2.0.2-2
    Added license

Modified:
  fontsproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-04 06:34:58 UTC (rev 33070)
+++ PKGBUILD	2009-04-04 06:36:00 UTC (rev 33071)
@@ -3,17 +3,19 @@
 
 pkgname=fontsproto
 pkgver=2.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 font extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('c946f166107b016a21cc7a02e1132724')
 sha1sums=('1244f63bd90668c7ddc88febbf4a220fd83ea492')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list